Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface Detail

All Superinterfaces:
  Node, SOAPElement, SOAPFaultElement

All Known Implementing Classes:
  Detail

public interface Detail
extends SOAPFaultElement

A container for `DetailEntry` objects. `DetailEntry` objects give detailed error information that is application-specific and related to the `SOAPBody` object that contains it.

A `Detail` object, which is part of a `SOAPFault` object, can be retrieved using the method `SOAPFault.getDetail`. The `Detail` interface provides two methods. One creates a new `DetailEntry` object and also automatically adds it to the `Detail` object. The second method gets a list of the `DetailEntry` objects contained in a `Detail` object.

The following code fragment, in which sf is a `SOAPFault` object, gets its `Detail` object (d), adds a new `DetailEntry` object to d, and then gets a list of all the `DetailEntry` objects in d. The code also creates a `Name` object to pass to the method `addDetailEntry`. The variable se, used to create the `Name` object, is a `SOAPEnvelope` object.

        Detail d = sf.getDetail();
        Name name = se.createName("GetLastTradePrice", "WOMBAT",
                                    "http://www.wombat.org/trader");
        d.addDetailEntry(name);
        Iterator it = d.getDetailEntries();

Method Summary
`DetailEntry` | `addDetailEntry(Name name)` Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
`java.util.Iterator` | `getDetailEntries()` Gets a list of the detail entries in this `Detail` object.

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement`

Method Detail

### addDetailEntry

    public DetailEntry addDetailEntry(Name name)
                               throws SOAPException

  Creates a new `DetailEntry` object with the given name and adds it to this `Detail` object.
  Parameters:
    `name` - a `Name` object identifying the new `DetailEntry` object
  Returns:
    DetailEntry.
  Throws:
    `SOAPException` - thrown when there is a problem in adding a DetailEntry object to this Detail object.

### getDetailEntries

    public java.util.Iterator getDetailEntries()

  Gets a list of the detail entries in this `Detail` object.
  Returns:
    an `Iterator` object over the `DetailEntry` objects in this `Detail` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.